# FoundationClasses
TKernel
TColStd

# TColStd_QueueOfInteger Class Reference

`#include <TColStd_QueueOfInteger.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | TColStd_QueueOfInteger ()
Standard_EXPORT const TColStd_QueueOfInteger & | Assign (const TColStd_QueueOfInteger &Other)
const TColStd_QueueOfInteger & | operator= (const TColStd_QueueOfInteger &Other)
Standard_Integer | Length () const
Standard_Boolean | IsEmpty () const
Standard_EXPORT const Standard_Integer & | Front () const
Standard_EXPORT void | Clear ()
| ~TColStd_QueueOfInteger ()
Standard_EXPORT void | Push (const Standard_Integer &T)
Standard_EXPORT void | Pop ()
Standard_EXPORT Standard_Integer & | ChangeFront ()

## Private Member Functions

Standard_EXPORT | TColStd_QueueOfInteger (const TColStd_QueueOfInteger &Other)

## Private Attributes

Standard_Address | myFront
Standard_Address | myEnd
Standard_Integer | myLength

## Constructor & Destructor Documentation

Standard_EXPORT TColStd_QueueOfInteger::TColStd_QueueOfInteger | ( |  | ) |

TColStd_QueueOfInteger::~TColStd_QueueOfInteger | ( |  | ) | `[inline]`

Standard_EXPORT TColStd_QueueOfInteger::TColStd_QueueOfInteger | ( | const TColStd_QueueOfInteger & | Other | ) | `[private]`

## Member Function Documentation

Standard_EXPORT const TColStd_QueueOfInteger& TColStd_QueueOfInteger::Assign | ( | const TColStd_QueueOfInteger & | Other | ) |

Standard_EXPORT Standard_Integer& TColStd_QueueOfInteger::ChangeFront | ( |  | ) |

Standard_EXPORT void TColStd_QueueOfInteger::Clear | ( |  | ) |

Standard_EXPORT const Standard_Integer& TColStd_QueueOfInteger::Front | ( |  | ) | const

Standard_Boolean TColStd_QueueOfInteger::IsEmpty | ( |  | ) | const

Standard_Integer TColStd_QueueOfInteger::Length | ( |  | ) | const

void TColStd_QueueOfInteger::operator delete | ( | void * | anAddress | ) | `[inline]`

void* TColStd_QueueOfInteger::operator new | ( | size_t | size | ) | `[inline]`

void* TColStd_QueueOfInteger::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

const TColStd_QueueOfInteger& TColStd_QueueOfInteger::operator= | ( | const TColStd_QueueOfInteger & | Other | ) | `[inline]`

Standard_EXPORT void TColStd_QueueOfInteger::Pop | ( |  | ) |

Standard_EXPORT void TColStd_QueueOfInteger::Push | ( | const Standard_Integer & | T | ) |

## Field Documentation

Standard_Address TColStd_QueueOfInteger::myEnd `[private]`

Standard_Address TColStd_QueueOfInteger::myFront `[private]`

Standard_Integer TColStd_QueueOfInteger::myLength `[private]`

The documentation for this class was generated from the following file:

- TColStd_QueueOfInteger.hxx